> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upgrade Request Status



## OpenAPI

````yaml openapi.json get /wallet/upgrade/status
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /wallet/upgrade/status:
    parameters: []
    get:
      tags:
        - Wallet
        - Upgrade
      summary: Upgrade Request Status
      parameters:
        - name: walletId
          in: query
          required: false
          example: e8a965c6-4bc6-49d3-b0a9-0fee1b09a01d
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '303'
            ETag:
              schema:
                type: string
              example: W/"12f-k0M0Zav6Z7cr70UeMzw0QuaPFSI"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Wed, 14 Feb 2024 11:07:53 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Upgrade Request Status - PENDING
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      request:
                        type: object
                        properties:
                          id:
                            type: string
                          status:
                            type: string
                          walletId:
                            type: string
                          category:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          walletTier:
                            type: integer
                          walletAccountName:
                            type: string
                          walletAccountNumber:
                            type: string
                            format: utc-millisec
              example:
                status: true
                data:
                  request:
                    id: 6207c925-eba2-44c5-812c-3aa6799656a1
                    status: PENDING
                    walletId: b76be3e0-f481-4c0f-a40e-0f6ad7ae0ca6
                    category: ACTIVATION
                    createdAt: '2024-02-14T09:11:21.499Z'
                    walletTier: 3
                    walletAccountName: Testing Tier Three
                    walletAccountNumber: '4435290524'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````